# QNetworkDiskCache Class Reference

### [com.trolltech.qt.network package]

Inherits QAbstractNetworkCache.

### Constructor

- void QNetworkDiskCache(QObject parent)

### Constructor Properties

- prototype: The QNetworkDiskCache prototype object

### Prototype Object Properties

The QNetworkDiskCache prototype object inherits properties from the QAbstractNetworkCache prototype object and also has the following properties.

- String cacheDirectory()
- QNetworkCacheMetaData fileMetaData(String fileName)
- qint64 maximumCacheSize()
- void setCacheDirectory(String cacheDir)
- void setMaximumCacheSize(qint64 size)

### Instance Properties

QNetworkDiskCache objects have no special properties beyond those inherited from the QNetworkDiskCache prototype object.